Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1072438 - Branding is still ovirt for rhevm-cli instead of rhevm
Summary: Branding is still ovirt for rhevm-cli instead of rhevm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.4.0
Assignee: Juan Hernández
QA Contact: Ilia Meerovich
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-03-04 15:11 UTC by Ilanit Stein
Modified: 2016-02-10 19:40 UTC (History)
11 users (show)

Fixed In Version: rhevm-cli-3.4.0.6-2.el6ev
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)

Description Ilanit Stein 2014-03-04 15:11:05 UTC
Description of problem:
From imeerovi inquiry:
rhevm-cli was installed:
pls look for "10:13:43  rhevm-cli                           noarch 3.4.0.6-1.el6ev         rhevm 205 k"
in http://jenkins.qa.lab.tlv.redhat.com:8080/view/Compute/view/3.4-git/view/Virt/job/3.4-git-compute-virt-reg_vms-cli-nfs/20/consoleFull
and also branding package:
pls look for "10:13:43  rhevm-branding-rhev                 noarch 3.4.0-0.0.master.20140203200254.el6_5"

Version-Release number of selected component (if applicable):
av2

Comment 1 Ilia Meerovich 2014-03-04 15:15:56 UTC
Tier 0 bug, raising severity

Comment 2 Ilia Meerovich 2014-03-04 15:24:05 UTC
additional info:
rhevm-shell prompt remains [oVirt shell (....)]# and not [RHEVM shell (...)]#

Comment 4 Bill Sanford 2014-03-04 18:03:46 UTC
Even in the setup, you'll see: 

http://rhevm.spice.ml2.eng.bos.redhat.com:80/ovirt-engine
https://rhevm.spice.ml2.eng.bos.redhat.com:443/ovirt-engine

Full pastebin of the setup is here: http://pastebin.test.redhat.com/195124

Comment 5 Juan Hernández 2014-03-04 18:26:14 UTC
Bill, the /ovirt-engine prefix of the URL isn't related to the CLI, but to the engine. It was changed on purpose, see bug 961677. As far as I understand there isn't any plan to apply branding to that.

Comment 6 Juan Hernández 2014-03-04 18:35:14 UTC
This will be fixed adding the applying the following during the downstream build:

From 1e89ca56bddaf536b6c0f41559514b25adccfb5a Mon Sep 17 00:00:00 2001
From: Juan Hernandez <juan.hernandez@redhat.com>
Date: Tue, 4 Mar 2014 16:30:45 +0100
Subject: [PATCH] Branding

This patch changes the product name from oVirt to RHEV.

Change-Id: Ie6b119126ef4875172258b7bbe397f193084000e
Signed-off-by: Juan Hernandez <juan.hernandez@redhat.com>
---
 src/ovirtcli/infrastructure/settings.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/ovirtcli/infrastructure/settings.py b/src/ovirtcli/infrastructure/settings.py
index 4bbc7d9..5d51e87 100644
--- a/src/ovirtcli/infrastructure/settings.py
+++ b/src/ovirtcli/infrastructure/settings.py
@@ -20,7 +20,7 @@ from cli.settings import Settings, enum, boolean
 
 class OvirtCliSettings(Settings):
 
-    PRODUCT = 'oVirt'
+    PRODUCT = 'RHEVM'
 
     INTRO = \
     """Welcome to %s shell""" % PRODUCT
-- 
1.8.5.3

Comment 7 Ilia Meerovich 2014-03-18 09:14:11 UTC
verified with av3

Comment 8 Itamar Heim 2014-06-12 14:10:03 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.